#[derive(Copy, Clone)]
pub struct Pixel {
    pub x: u16,
    pub y: u16,
    pub r: u8,
    pub g: u8,
    pub b: u8
}
impl Pixel {
    pub fn format0(&self) -> [u8; 7] {

            let buf:[u8; 7] = [ self.x as u8
            , (self.x >> 8) as u8
            ,self.y as u8
            ,(self.y >> 8) as u8
            , self.r
            , self.g
            , self.b];
            return buf;
    }
    
}